Summary: Free versions of the 35 standard PostScript fonts.
Name: urw-fonts
Version: 1.1
Release: 10mdk
Source: http://www.gimp.org/urw-fonts.tar.bz2
License: GPL, URW holds copyright
Group: System/Fonts/Type1
URL: http://www.gimp.org/fonts.html
BuildRoot: /var/tmp/URW-root
BuildArchitectures: noarch
Prereq: chkfontpath

%description 
Free versions of the 35 standard PostScript fonts. With newer releases
of ghostscript quality versions of the standard 35 Type 1 PostScript
fonts are shipped. They were donated and licenced under the GPL by
URW. The fonts.dir was specially made to match the original Adobe
names of the fonts, e.g. Times, Helvetica etc. With X, LaTeX, or Ghostscript,
these fonts are a must to have!

%prep
%setup -q -n URW

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/default/Type1
cp -f *.afm *.pfm *.pfb $RPM_BUILD_ROOT/usr/share/fonts/default/Type1
install -m 644 fonts.dir_fndry_is_urw \
	$RPM_BUILD_ROOT/usr/share/fonts/default/Type1/fonts.dir
cd $RPM_BUILD_ROOT/usr/share/fonts/default/Type1 && \
	ln -s fonts.dir fonts.scale


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/Type1

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/default/Type1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir /usr/share/fonts/default/Type1
%config /usr/share/fonts/default/Type1/fonts.dir
/usr/share/fonts/default/Type1/fonts.scale
/usr/share/fonts/default/Type1/*.afm
/usr/share/fonts/default/Type1/*.pfb
/usr/share/fonts/default/Type1/*.pfm

%changelog
* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1-10mdk
- fix group 

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.


* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
